Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.internal.javassist
Interface FieldHandled

    public interface FieldHandled

Interface introduced to the enhanced class in order to be able to inject a `FieldHandler` to define the interception behavior.

Method Summary
`FieldHandler` | `getFieldHandler()` Access to the current field interception handler.
`void` | `setFieldHandler(FieldHandler handler)` Inject the field interception handler to be used.

Method Detail

### setFieldHandler

    void setFieldHandler(FieldHandler handler)

  Inject the field interception handler to be used.

  Parameters:
    `handler` - The field interception handler.

### getFieldHandler

    FieldHandler getFieldHandler()

  Access to the current field interception handler.

  Returns:
    The current field interception handler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.